## gaupol 0.24.3

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 /usr/bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf api/
	-rm -rf $(BUILDDIR)/*
	-rm -rf __pycache__/
	-rm -f index.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nfoview.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nfoview.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nfoview"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nfoview"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## gaupol 0.15.1

=== debian/changelog ===
gaupol (0.15.1-1) unstable; urgency=low

  * New upstream release
    - German translation added (closes: 548158)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 24 Mar 2010 11:55:19 +0100

gaupol (0.15-2) unstable; urgency=low

  * Add --prefix=/usr to setup.py install call in order to fix FTBFS with
    python2.6 set as default (closes: 571487)
  * Add use_packaged_configobj patch, add python-configobj to Depends and
    remove local copies of configobj.py and validate.py (closes: 555338)
  * Package uses source format 3.0 quilt now
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Feb 2010 20:00:01 +0100

gaupol (0.15-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 May 2009 21:42:25 +0200

gaupol (0.14-1) unstable; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Marco Rodrigues ]
  * Add ${misc:Depends} to Depends

  [ Piotr Ożarowski ]
  * New upstream release
  * Install gaupol module in private directory
  * Install more docs; NEWS file as upstream changelog
  * Switch from python-central to python-support
    + remove pycentral leftovers in preinst
  * Switch from CDBS to debhelper's command sequencer
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 14 Apr 2009 23:37:22 +0200

gaupol (0.13.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 17 Sep 2008 20:19:12 +0200

gaupol (0.13-1) unstable; urgency=low

  * New upstream release
  * po/README.translators removed from docs
  * python-gtk2 and python-glade2 required versions bumped to >= 2.12
  * data/codes/iso_15924.xml's copyrights added to debian/copyright

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 31 Aug 2008 15:54:23 +0200

gaupol (0.12.3-2) unstable; urgency=low

  * Rebuild against new python-central (closes: 490468)
  * Python2.5 is default now in Debian, remove alternate (build) dependencies
  * Standards-Version bumped to 3.8.0

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 12 Jul 2008 22:37:37 +0200

gaupol (0.12.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 04 Nov 2007 22:28:03 +0100

gaupol (0.12.2-1) unstable; urgency=low

  * New upstream release
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Oct 2007 22:22:15 +0200

gaupol (0.12.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Oct 2007 21:52:54 +0200

gaupol (0.12-1) unstable; urgency=low

  * New upstream release
  * Homepage field added

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Sep 2007 15:54:59 +0200

gaupol (0.11-1) unstable; urgency=low

  * New upstream release
  * Add Python Applications Packaging Team to the Uploaders
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Sep 2007 10:51:18 +0200

gaupol (0.10-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 20 Aug 2007 08:19:36 +0200

gaupol (0.9-1) unstable; urgency=medium

  * New upstream release
  * Temporary order change in "python-dev (>=2.5)|python2.5-dev" build
    dependency which closes: #436400. I will revert the right order once
    #403246 will be fixed.
  * Depend on python version >= 2.5.1
  * debian/copyright file updated (add info about configobj.py, validate.py,
    iso_3166.xml and iso_639.xml files)
  * debian/menu file updated (s/Apps/Applications)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Aug 2007 20:23:21 +0200

gaupol (0.8-2) unstable; urgency=low

  * Bumped python-gobject's minimum required version, added optional
    python2.5-gobject dependency
  * Removed debian/gaupol.1 (upstream is providing a manpage now)
  * Removed debian/preinst (Etch is released, let's forget about old .pyc
    files)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jul 2007 23:30:02 +0200

gaupol (0.8-1) experimental; urgency=low

  * New upstream release
  * Dependency changes:
    - minimum required Python version is now 2.5
    - python-{gtk2,gnome} minimum version bumped to 2.10.1-1
    - python-gobject added to Depends
  * Licence changed to GPL3 or later
  * Changed my address to piotr@debian.org
  * Upload to experimental due to missing gobject and cairo modules for
    Python 2.5 (binNMU will fix that soon)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jul 2007 09:50:11 +0200

gaupol (0.7.2-2) unstable; urgency=low

  * Add python-dev build requirement (FTBFS with python2.5)

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 30 Jan 2007 01:34:23 +0100

gaupol (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 21 Jan 2007 17:45:20 +0100

gaupol (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Replaced python-dev with python build requirement (header files are
    not needed).
  * Moved python-central to Build-Depends in order to satisfy lintian
  * Replaced XS-Python-Version's "2.4" with "current" (python 2.4 is now
    default in Debian)

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 18 Sep 2006 17:38:07 +0200

gaupol (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Description and manpage updated (new supported formats added)
  * debian/rules cleaned (removed now unneed workarounds)

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 11 Jul 2006 09:29:56 +0200

gaupol (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri,  7 Jul 2006 22:51:11 +0200

gaupol (0.5.0-1) unstable; urgency=low

  * New upstream release (closes: #368862)
  * Update for the new python policy
  * Switch to CDBS and python-central
  * Dependencies updated:
    - new python policy changes
    - add python-chardet to Recommends
    - add mplayer to Suggests


=== debian/control ===
Source: gaupol
Section: gnome
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50), python, python-support (>= 0.6.4), python (>= 2.5.1)
Build-Depends-Indep: intltool
Standards-Version: 3.8.4
Homepage: http://home.gna.org/gaupol/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/gaupol/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gaupol/trunk/

Package: gaupol
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-configobj,
 python-gtk2 (>= 2.12), python-glade2 (>= 2.12), python-gobject (>= 2.12.3-2+b1)
Recommends: python-enchant (>= 1.1.5-2), iso-codes, python-chardet
Suggests: vlc | mplayer
Description: subtitle editor for text-based subtitle files
 Text-based subtitles are commonly used with DivX video. Gaupol supports
 multiple subtitle file formats and provides means of text corrections and time
 manipulations. Gaupol's user interface is designed with attention to batch
 processing of multiple documents and convenient translating.
 .
 Supported formats are:
   * Advanced Sub Station Alpha (.ssa)
   * MicroDVD (.sub)
   * MPL2 (.txt)
   * MPsub (.sub)
   * SubRip (.srt)
   * Sub Station Alpha (.ssa)
   * SubViewer2 (.sub)
   * TMPlayer (.txt)
 .
 VobSubs (image-based subtitles used in DVDs) are NOT supported.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	python ./setup.py install --root=$(CURDIR)/debian/gaupol --install-lib=/usr/share/gaupol/lib/ --prefix=/usr
	# python-configobj provides these files:
	rm -f $(CURDIR)/debian/gaupol/usr/share/gaupol/lib/gaupol/gtk/conf/configobj.py*
	rm -f $(CURDIR)/debian/gaupol/usr/share/gaupol/lib/gaupol/gtk/conf/validate.py*
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv $(CURDIR)/debian/gaupol/usr/bin/gaupol $(CURDIR)/debian/gaupol/usr/share/gaupol/lib/run
	dh_link /usr/share/gaupol/lib/run /usr/bin/gaupol

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gaupol 0.17

=== debian/changelog ===
gaupol (0.17-1) unstable; urgency=low

  * New upstream release
  * Add python-gtkspell to gaupol's Recommends
  * Standards-Version bumped to 3.9.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 06 Jul 2010 18:39:00 +0200

gaupol (0.16.2-2) unstable; urgency=low

  * Add Replaces: gaupol (<< 0.16-1) in python-aeidon (closes: 586895)
    Thanks José Manuel Santamaría Lema for the patch.

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Jun 2010 01:42:24 +0200

gaupol (0.16.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 22 Jun 2010 21:13:11 +0200

gaupol (0.16.1-1) experimental; urgency=low

  * New upstream release
  * Move iso-codes from python-aeidon's Recommends to Depends
  * Use "setup.py clean install" instead of "find ..." hack

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Jun 2010 23:04:35 +0200

gaupol (0.16-1) experimental; urgency=low

  * New upstream release
  * Minimum versions bumped:
    - Python to 2.6
    - python-gtk to 2.16
    - python-enchant to 1.4
  * Add python-aeidon binary package
  * use_packaged_configobj.patch dropped, gaupol uses JSON now
  * python-glade2 and python-configobj removed from Depends, no longer needed

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 04 Jun 2010 09:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50), python, python-support (>= 0.6.4), python (>= 2.5.1)
+Build-Depends: debhelper (>= 7.0.50), python-support (>= 0.6.4), python (>= 2.6)
 Build-Depends-Indep: intltool
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://home.gna.org/gaupol/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gaupol/trunk/
@@ -13,9 +13,9 @@
 Package: gaupol
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-configobj,
- python-gtk2 (>= 2.12), python-glade2 (>= 2.12), python-gobject (>= 2.12.3-2+b1)
-Recommends: python-enchant (>= 1.1.5-2), iso-codes, python-chardet
+Depends: ${python:Depends}, ${misc:Depends}, python-aeidon,
+ python-gtk2 (>= 2.16), python-gobject (>= 2.12.3-2+b1)
+Recommends: python-enchant (>= 1.1.5-2), iso-codes, python-chardet, python-gtkspell
 Suggests: vlc | mplayer
 Description: subtitle editor for text-based subtitle files
  Text-based subtitles are commonly used with DivX video. Gaupol supports
@@ -34,3 +34,14 @@
    * TMPlayer (.txt)
  .
  VobSubs (image-based subtitles used in DVDs) are NOT supported.
+
+Package: python-aeidon
+Architecture: all
+Section: python
+XB-Python-Version: ${python:Versions}
+Depends: ${python:Depends}, ${misc:Depends}, iso-codes
+Recommends: python-enchant (>= 1.4), python-chardet
+Replaces: gaupol (<< 0.16-1)
+Description: reading, writing and manipulating text-based subtitle files
+ aeidon is separate from the gaupol package, which provides a subtitle editor
+ application with a GTK+ user interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

#export PYVER=$(shell dpkg --compare-versions `pyversions -vd` gt 2.5 || echo 2.6)
override_dh_auto_install:
	python$(PYVER) ./setup.py --without-aeidon --without-iso-codes clean install\
	  --root=$(CURDIR)/debian/gaupol --prefix=/usr\
       	  --install-lib=/usr/share/gaupol/
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv $(CURDIR)/debian/gaupol/usr/bin/gaupol $(CURDIR)/debian/gaupol/usr/share/gaupol/run
	dh_link /usr/share/gaupol/run /usr/bin/gaupol
	python$(PYVER) ./setup.py --with-aeidon --without-gaupol --without-iso-codes\
	  clean install --prefix=/usr --root=$(CURDIR)/debian/python-aeidon

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:

## gaupol 0.17.1

=== debian/changelog ===
gaupol (0.17.1-1) unstable; urgency=low

  * New upstream release
  * Switch from dh_pysupport to dh_python2
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Nov 2010 19:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50), python-support (>= 0.6.4), python (>= 2.6)
+Build-Depends: debhelper (>= 7.0.50), python
+X-Python-Version: >= 2.6
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://home.gna.org/gaupol/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gaupol/trunk/

## gaupol 0.19

=== debian/changelog ===
gaupol (0.19-1) unstable; urgency=low

  * New upstream release
  * Add python-gst0.10 to Suggests (PocketSphinx is not yet packaged)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Jul 2011 20:45:35 +0200

gaupol (0.18-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 30 May 2011 23:34:55 +0200

gaupol (0.17.2-2) unstable; urgency=low

  * Update German translation (closes: 625253)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 20:48:50 +0200

gaupol (0.17.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Apr 2011 17:01:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python2
 
 #export PYVER=$(shell dpkg --compare-versions `pyversions -vd` gt 2.5 || echo 2.6)
 override_dh_auto_install:

## gaupol 0.19.1

=== debian/changelog ===
gaupol (0.19.1-1) unstable; urgency=low

  * New upstream release
    - gettext initialisation in aeidon fixed (closes: 639668)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 Sep 2011 22:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
 Build-Depends: debhelper (>= 7.0.50), python
 X-Python-Version: >= 2.6
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://home.gna.org/gaupol/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gaupol/trunk/
 
 Package: gaupol
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python-aeidon,
  python-gtk2 (>= 2.16), python-gobject (>= 2.12.3-2+b1)
 Recommends: python-enchant (>= 1.1.5-2), iso-codes, python-chardet, python-gtkspell
-Suggests: vlc | mplayer
+Suggests: vlc | mplayer, python-gst0.10
 Description: subtitle editor for text-based subtitle files
  Text-based subtitles are commonly used with DivX video. Gaupol supports
  multiple subtitle file formats and provides means of text corrections and time
@@ -39,7 +38,6 @@
 Package: python-aeidon
 Architecture: all
 Section: python
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, iso-codes
 Recommends: python-enchant (>= 1.4), python-chardet
 Replaces: gaupol (<< 0.16-1)

## gaupol 0.19.2

=== debian/changelog ===
gaupol (0.19.2-1) unstable; urgency=low

  * New upstream release
  * gaupol's python-aeidon dependency tightened to
    >= ${source:Upstream-Version} (closes: 645856)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 26 Nov 2011 22:06:47 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: gaupol
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-aeidon,
+Depends: ${python:Depends}, ${misc:Depends}, python-aeidon (>= ${source:Upstream-Version}),
  python-gtk2 (>= 2.16), python-gobject (>= 2.12.3-2+b1)
 Recommends: python-enchant (>= 1.1.5-2), iso-codes, python-chardet, python-gtkspell
 Suggests: vlc | mplayer, python-gst0.10

=== debian/watch ===
version=3
http://home.gna.org/gaupol/download.html http://download.gna.org/gaupol/.*/gaupol-(.*)\.tar\.gz debian uupdate

## gaupol 0.24

=== debian/changelog ===
gaupol (0.24-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Jul 2013 19:32:17 +0200

gaupol (0.23-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Jun 2013 18:47:11 +0200

gaupol (0.22-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 May 2013 22:22:42 +0200

gaupol (0.22-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 09 Apr 2013 23:03:34 +0200

gaupol (0.21.1-1) experimental; urgency=low

  * New upstream release
  * Update debian/watch file to search for tar.xz files

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 15 Jan 2013 20:26:33 +0100

gaupol (0.21-1) experimental; urgency=low

  * New upstream release
    - ported to Python 3 (dependencies and build process updated)
  * python-aeidon binary package replaced with python3-aeidon

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Jan 2013 17:10:10 +0100

## gaupol 0.24.3

=== debian/changelog ===
gaupol (0.24.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Oct 2013 08:55:43 +0200

gaupol (0.24.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Sep 2013 23:40:25 +0200

=== debian/control ===
Source: gaupol
Section: gnome
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50), python3
X-Python3-Version: >= 3.2
Build-Depends-Indep: intltool
Standards-Version: 3.9.4
Homepage: http://home.gna.org/gaupol/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/

Package: gaupol
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-aeidon (>= ${source:Upstream-Version}),
 python3-gi, gir1.2-gstreamer-1.0
Recommends: python3-enchant, iso-codes, python3-chardet, python3-gtkspellcheck
Suggests: vlc | mplayer
Description: subtitle editor for text-based subtitle files
 Text-based subtitles are commonly used with DivX video. Gaupol supports
 multiple subtitle file formats and provides means of text corrections and time
 manipulations. Gaupol's user interface is designed with attention to batch
 processing of multiple documents and convenient translating.
 .
 Supported formats are:
   * Advanced Sub Station Alpha (.ssa)
   * MicroDVD (.sub)
   * MPL2 (.txt)
   * MPsub (.sub)
   * SubRip (.srt)
   * Sub Station Alpha (.ssa)
   * SubViewer2 (.sub)
   * TMPlayer (.txt)
 .
 VobSubs (image-based subtitles used in DVDs) are NOT supported.

Package: python3-aeidon
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}, iso-codes
Recommends: python3-enchant, python3-chardet
# due to locales (in /usr/share/locale/):
Conflicts: python-aeidon
Description: reading, writing and manipulating text-based subtitle files
 aeidon is separate from the gaupol package, which provides a subtitle editor
 application with a GTK+ user interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --without python-support

override_dh_auto_install:
	python3 ./setup.py --without-aeidon --without-iso-codes clean install\
	  --root=$(CURDIR)/debian/gaupol --prefix=/usr\
       	  --install-lib=/usr/share/gaupol/
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv $(CURDIR)/debian/gaupol/usr/bin/gaupol $(CURDIR)/debian/gaupol/usr/share/gaupol/run
	dh_link /usr/share/gaupol/run /usr/bin/gaupol
	python3 ./setup.py --with-aeidon --without-gaupol --without-iso-codes\
	  clean install --prefix=/usr --root=$(CURDIR)/debian/python3-aeidon

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:

override_dh_auto_clean:
	dh_clean
	rm -rf build/ locale/
	find . -name '*.pyc' -delete
	find data/ -name '*.in' -print | sed -e 's/.in$$//' | xargs rm -f

override_dh_python3:
	dh_python3 --shebang /usr/bin/python3

## gaupol 0.26

=== debian/changelog ===
gaupol (0.26-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German program translation (closes: 743774)

  [ Piotr Ożarowski ]
  * Add gir1.2-gst-plugins-base-1.0 and gstreamer1.0-plugins-good to Depends,
    gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
    to Recommends (closes: 761218)
  * Drop iso-codes from gaupol's Recommends (it remains in Depends of
    python3-aeidon)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 Oct 2014 22:57:43 +0200

gaupol (0.26-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 Jun 2014 16:41:41 +0200

gaupol (0.25-2) unstable; urgency=medium

  * Add gir1.2-gtk-3.0 to Depends (closes: 739553)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Feb 2014 23:31:59 +0100

gaupol (0.25-1) unstable; urgency=medium

  * New upstream release
    - uses GtkSpell now, replace python3-gtkspellcheck with gir1.2-gtkspell3-3.0
  * Add python3-gi-cairo to Recommends (not used directly, but apparently
    sometimes needed, closes: 738582)
  * debhelper's compatibility level bumped to 9
  * Add dh-python to Build-Depends (python3 will not depend on it at some point)
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Feb 2014 21:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50), python3
+Build-Depends: debhelper (>= 9), python3, dh-python
 X-Python3-Version: >= 3.2
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://home.gna.org/gaupol/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/
@@ -14,8 +14,10 @@
 Package: gaupol
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-aeidon (>= ${source:Upstream-Version}),
- python3-gi, gir1.2-gstreamer-1.0
-Recommends: python3-enchant, iso-codes, python3-chardet, python3-gtkspellcheck
+ python3-gi, gir1.2-gtk-3.0, gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
+ gstreamer1.0-plugins-good
+Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0, python3-gi-cairo,
+ gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 Suggests: vlc | mplayer
 Description: subtitle editor for text-based subtitle files
  Text-based subtitles are commonly used with DivX video. Gaupol supports
@@ -27,7 +29,6 @@
    * Advanced Sub Station Alpha (.ssa)
    * MicroDVD (.sub)
    * MPL2 (.txt)
-   * MPsub (.sub)
    * SubRip (.srt)
    * Sub Station Alpha (.ssa)
    * SubViewer2 (.sub)

=== debian/watch ===
version=3
http://home.gna.org/gaupol/download.html http://download.gna.org/gaupol/.*/gaupol-(.*)\.tar\.xz debian uupdate

## gaupol 0.28

=== debian/changelog ===
gaupol (0.28-1) unstable; urgency=medium

  * New upstream release
  * Update docs file names

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 08 Dec 2014 22:54:31 +0100

gaupol (0.27-1) unstable; urgency=medium

  * New upstream release
    - removed patch with German translation, included upstream

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Oct 2014 21:00:22 +0100

## gaupol 0.28.2

=== debian/changelog ===
gaupol (0.28.2-2) unstable; urgency=medium

  * Move python3-gi-cairo from Recommends to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Jul 2015 22:39:56 +0200

gaupol (0.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 May 2015 19:35:29 +0200

gaupol (0.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 09 May 2015 22:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-aeidon (>= ${source:Upstream-Version}),
  python3-gi, gir1.2-gtk-3.0, gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
- gstreamer1.0-plugins-good
-Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0, python3-gi-cairo,
+ gstreamer1.0-plugins-good, python3-gi-cairo
+Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0,
  gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 Suggests: vlc | mplayer
 Description: subtitle editor for text-based subtitle files

## gaupol 0.91

=== debian/changelog ===
gaupol (0.91-1) unstable; urgency=medium

  * New upstream release
    - add gir1.2-glib-2.0 to gaupol's Depends
    - suggest mpv (the new default player)
  * Homepage changed to http://otsaloma.io/gaupol/
  * debian/watch: check github releases instead of gna.org
  * Switch Vcs-Browser to https
  * Standards-Version bumped to 3.9.8
    - menu file removed

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Jul 2016 22:03:30 +0200

## gaupol 1.0

=== debian/changelog ===
gaupol (1.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Nov 2016 20:05:29 +0100

gaupol (0.92-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 Sep 2016 22:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,21 @@
 Build-Depends: debhelper (>= 9), python3, dh-python
 X-Python3-Version: >= 3.2
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.5
-Homepage: http://home.gna.org/gaupol/
+Standards-Version: 3.9.8
+Homepage: http://otsaloma.io/gaupol/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/
 
 Package: gaupol
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-aeidon (>= ${source:Upstream-Version}),
- python3-gi, gir1.2-gtk-3.0, gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
- gstreamer1.0-plugins-good, python3-gi-cairo
+ python3-gi, python3-gi-cairo,
+ gir1.2-gtk-3.0, gir1.2-glib-2.0,
+ gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
+ gstreamer1.0-plugins-good
 Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0,
  gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
-Suggests: vlc | mplayer
+Suggests: mpv | vlc | mplayer
 Description: subtitle editor for text-based subtitle files
  Text-based subtitles are commonly used with DivX video. Gaupol supports
  multiple subtitle file formats and provides means of text corrections and time

## gaupol 1.2

=== debian/changelog ===
gaupol (1.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 19:21:50 +0200

gaupol (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Mar 2017 17:46:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), python3, dh-python
 X-Python3-Version: >= 3.2
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://otsaloma.io/gaupol/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/

## gaupol 1.3.1

=== debian/changelog ===
gaupol (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 17 Nov 2017 22:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), python3, dh-python
 X-Python3-Version: >= 3.2
 Build-Depends-Indep: intltool
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://otsaloma.io/gaupol/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	  clean install --prefix=/usr --root=$(CURDIR)/debian/python3-aeidon
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.md
 
 override_dh_auto_build:

## gaupol 1.4

=== debian/changelog ===
gaupol (1.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Piotr Ożarowski ]
  * New upstream release
  * Add python3-distutils to Build-Depends (closes: 896756)
  * Add gstreamer1.0-gtk3 to Depends (closes: 894483)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 May 2018 20:13:51 +0200

## gaupol 1.4.1

=== debian/changelog ===
gaupol (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Oct 2018 21:31:27 +0200

## gaupol 1.5

=== debian/changelog ===
gaupol (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 24 Feb 2019 23:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python
-X-Python3-Version: >= 3.2
+Build-Depends: debhelper (>= 9), python3, dh-python, python3-distutils
 Build-Depends-Indep: intltool
 Standards-Version: 4.1.1
 Homepage: http://otsaloma.io/gaupol/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gaupol/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/gaupol/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/gaupol.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/gaupol
 
 Package: gaupol
 Architecture: all
@@ -17,7 +16,7 @@
  python3-gi, python3-gi-cairo,
  gir1.2-gtk-3.0, gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
- gstreamer1.0-plugins-good
+ gstreamer1.0-gtk3, gstreamer1.0-plugins-good
 Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0,
  gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 Suggests: mpv | vlc | mplayer

## gaupol 1.6

=== debian/changelog ===
gaupol (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 08 Jul 2019 20:45:09 +0200

## gaupol 1.7

=== debian/changelog ===
gaupol (1.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 05 Sep 2019 08:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-distutils
+Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-distutils
 Build-Depends-Indep: intltool
 Standards-Version: 4.1.1
 Homepage: http://otsaloma.io/gaupol/
@@ -17,7 +17,7 @@
  gir1.2-gtk-3.0, gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
  gstreamer1.0-gtk3, gstreamer1.0-plugins-good
-Recommends: python3-enchant, python3-chardet, gir1.2-gtkspell3-3.0,
+Recommends: python3-chardet, gir1.2-gspell-1,
  gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 Suggests: mpv | vlc | mplayer
 Description: subtitle editor for text-based subtitle files
@@ -41,7 +41,7 @@
 Architecture: all
 Section: python
 Depends: ${python3:Depends}, ${misc:Depends}, iso-codes
-Recommends: python3-enchant, python3-chardet
+Recommends: python3-chardet
 # due to locales (in /usr/share/locale/):
 Conflicts: python-aeidon
 Description: reading, writing and manipulating text-based subtitle files

## gaupol 1.8

=== debian/changelog ===
gaupol (1.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 18 Apr 2020 20:58:56 +0200

## gaupol 1.9

=== flatpak/Makefile ===
# -*- coding: utf-8-unix -*-

clean:
	rm -rf build
	rm -rf .flatpak-builder

install:
	$(MAKE) uninstall
	rm -rf build .flatpak-builder/build
	flatpak-builder --install --install-deps-from=flathub build io.otsaloma.gaupol.yml

run:
	flatpak run io.otsaloma.gaupol

uninstall:
	flatpak uninstall -y io.otsaloma.gaupol/x86_64/master || true

.PHONY: clean install run uninstall

=== debian/changelog ===
gaupol (1.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 Jan 2021 11:31:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-distutils
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-distutils
 Build-Depends-Indep: intltool
 Standards-Version: 4.1.1
 Homepage: http://otsaloma.io/gaupol/
-Vcs-Git: https://salsa.debian.org/python-team/applications/gaupol.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/gaupol
+Vcs-Git: https://salsa.debian.org/python-team/packages/gaupol.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gaupol
 
 Package: gaupol
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/gaupol-$1.tar.gz/ \
https://github.com/otsaloma/gaupol/releases \
/otsaloma/gaupol/archive/([\d\.]+)\.tar\.gz

## gaupol 1.10.1

=== Makefile ===
# -*- coding: utf-8-unix -*-

# EDITOR must wait!
EDITOR = nano

check:
	flake8 bin/gaupol
	flake8 aeidon
	flake8 gaupol
	flake8 data/extensions/*/*.py
	flake8 *.py

clean:
	./setup.py clean

install:
	./setup.py install

publish-aeidon:
	$(MAKE) check test clean
	./setup-aeidon.py sdist bdist_wheel
	test -s dist/aeidon-*-py3-none-any.whl
	test -s dist/aeidon-*.tar.gz
	ls -l dist
	printf "Press Enter to upload or Ctrl+C to abort: "; read _
	twine upload dist/*
	sudo pip3 uninstall -y aeidon || true
	sudo pip3 uninstall -y aeidon || true
	sudo pip3 install -U aeidon
	cd && python3 -c "import aeidon; print(aeidon.__file__, aeidon.__version__)"

# Interactive!
release:
	$(MAKE) check test clean
	@echo "BUMP VERSION NUMBERS"
	$(EDITOR) aeidon/__init__.py
	$(EDITOR) gaupol/__init__.py
	$(EDITOR) data/extensions/*/*.in
	$(EDITOR) win32/gaupol.iss
	@echo "ADD RELEASE NOTES"
	$(EDITOR) NEWS.md
	$(EDITOR) data/io.otsaloma.gaupol.appdata.xml.in
	sudo ./setup.py install --prefix=/usr/local clean
	/usr/local/bin/gaupol
	tools/release
	@echo "REMEMBER TO make publish-aeidon"
	@echo "REMEMBER TO UPDATE FLATPAK"
	@echo "REMEMBER TO UPDATE WEBSITE"

test:
	py.test -xs aeidon gaupol data/extensions

# Interactive!
translations:
	tools/update-translations

warnings:
	python3 -Wd bin/gaupol

.PHONY: check clean install publish-aeidon release test translations warnings

=== debian/changelog ===
gaupol (1.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 10 Dec 2021 22:25:11 +0100

gaupol (1.9-2) unstable; urgency=medium

  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 00:06:29 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --without python-support
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	python3 ./setup.py --without-aeidon --without-iso-codes clean install\

## gaupol 1.11

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	$(EDITOR) aeidon/__init__.py
 	$(EDITOR) gaupol/__init__.py
 	$(EDITOR) data/extensions/*/*.in
-	$(EDITOR) win32/gaupol.iss
 	@echo "ADD RELEASE NOTES"
 	$(EDITOR) NEWS.md
 	$(EDITOR) data/io.otsaloma.gaupol.appdata.xml.in

=== debian/changelog ===
gaupol (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Sep 2022 20:13:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-distutils
 Build-Depends-Indep: intltool
 Standards-Version: 4.1.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/gaupol-$1.tar.gz/ \
https://github.com/otsaloma/gaupol/releases \
/otsaloma/gaupol/archive/refs/tags/([\d\.]+)\.tar\.gz

## gaupol 1.15

=== debian/changelog ===
gaupol (1.15-2) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.7.0

  [ Piotr Ożarowski ]
  * Add missing python3-setuptools build dependency (closes: 1080898)
  * Maintainer ↔ Uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 23:27:52 +0100

gaupol (1.15-1) unstable; urgency=medium

  * New upstream release
  * Replace python3-chardet with python3-charset-normalizer in Recommends
  * Drop python3-distutils from Build-Depends (closes: 1065864)
  * Update debian/copyright

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Jun 2024 10:51:54 +0200

gaupol (1.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jun 2024 14:39:24 +0200

gaupol (1.11-2) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Stuart Prescott ]
  * Fix calls to setup.py so that scripts and data are installed to /usr and
    not /usr/local (Closes: #1054810).
  * Fix clean target to allow building twice in a row (Closes: #1044971).
  * Update Standards-Version to 4.6.2 (no changes required).
  * Rules-Requires-Root: no

 -- Stuart Prescott <stuart@debian.org>  Tue, 05 Dec 2023 23:55:44 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gaupol
 Section: gnome
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-distutils
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Piotr Ożarowski <piotr@debian.org>
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-setuptools
 Build-Depends-Indep: intltool
-Standards-Version: 4.1.1
-Homepage: http://otsaloma.io/gaupol/
+Standards-Version: 4.7.0
+Homepage: https://otsaloma.io/gaupol/
 Vcs-Git: https://salsa.debian.org/python-team/packages/gaupol.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gaupol
+Rules-Requires-Root: no
 
 Package: gaupol
 Architecture: all
@@ -17,7 +18,7 @@
  gir1.2-gtk-3.0, gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
  gstreamer1.0-gtk3, gstreamer1.0-plugins-good
-Recommends: python3-chardet, gir1.2-gspell-1,
+Recommends: python3-charset-normalizer, gir1.2-gspell-1,
  gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 Suggests: mpv | vlc | mplayer
 Description: subtitle editor for text-based subtitle files

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	python3 ./setup.py --without-aeidon --without-iso-codes clean install\
	  --root=$(CURDIR)/debian/gaupol --prefix=/usr\
	  --install-lib=/usr/share/gaupol/ \
	  --install-layout=deb
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv $(CURDIR)/debian/gaupol/usr/bin/gaupol $(CURDIR)/debian/gaupol/usr/share/gaupol/run
	dh_link /usr/share/gaupol/run /usr/bin/gaupol
	python3 ./setup.py --with-aeidon --without-gaupol --without-iso-codes\
	  clean install --prefix=/usr --root=$(CURDIR)/debian/python3-aeidon \
	  --install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ locale/
	find data/ -name '*.in' -print | sed -e 's/.in$$//' | xargs rm -f

override_dh_python3:
	dh_python3 --shebang /usr/bin/python3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gaupol-$1\.tar\.gz/ \
  https://github.com/otsaloma/gaupol/tags .*/v?(\d\S+)\.tar\.gz
